BiodiversityObjectExecutionRequest
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.maps
Class BiodiversityObjectExecutionRequest

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.publishing.AquaMapsObjectExecutionRequest
          org.gcube.application.aquamaps.aquamapsservice.impl.engine.maps.BiodiversityObjectExecutionRequest

All Implemented Interfaces:
  GenerationRequest

    public class BiodiversityObjectExecutionRequest

extends AquaMapsObjectExecutionRequest

Constructor Summary
`BiodiversityObjectExecutionRequest(Submitted object, java.util.Set<Area> selectedArea, BoundingBox bb, float threshold, java.util.Set<Species> selectedSpecies, java.util.Map<java.lang.String,java.util.Map<java.lang.String,Perturbation>> envelopeCustomization, java.util.Map<java.lang.String,java.util.Map<EnvelopeFields,Field>> envelopeWeights)`

Method Summary
`java.util.Map<java.lang.String,java.util.Map<java.lang.String,Perturbation>>` | `getEnvelopeCustomization()`
`java.util.Map<java.lang.String,java.util.Map<EnvelopeFields,Field>>` | `getEnvelopeWeights()`
`java.util.Set<Species>` | `getSelectedSpecies()`
`float` | `getThreshold()`
`void` | `setEnvelopeCustomization(java.util.Map<java.lang.String,java.util.Map<java.lang.String,Perturbation>> envelopeCustomization)`
`void` | `setEnvelopeWeights(java.util.Map<java.lang.String,java.util.Map<EnvelopeFields,Field>> envelopeWeights)`
`void` | `setSelectedSpecies(java.util.Set<Species> selectedSpecies)`
`void` | `setThreshold(float threshold)`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.impl.publishing.AquaMapsObjectExecutionRequest
`getBb, getObject, getSelectedArea, setBb, setObject, setSelectedArea`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiodiversityObjectExecutionRequest

    public BiodiversityObjectExecutionRequest(Submitted object,
                                              java.util.Set<Area> selectedArea,
                                              BoundingBox bb,
                                              float threshold,
                                              java.util.Set<Species> selectedSpecies,
                                              java.util.Map<java.lang.String,java.util.Map<java.lang.String,Perturbation>> envelopeCustomization,
                                              java.util.Map<java.lang.String,java.util.Map<EnvelopeFields,Field>> envelopeWeights)

Method Detail

### getThreshold

    public float getThreshold()

### setThreshold

    public void setThreshold(float threshold)

### getSelectedSpecies

    public java.util.Set<Species> getSelectedSpecies()

### setSelectedSpecies

    public void setSelectedSpecies(java.util.Set<Species> selectedSpecies)

### getEnvelopeCustomization

    public java.util.Map<java.lang.String,java.util.Map<java.lang.String,Perturbation>> getEnvelopeCustomization()

### setEnvelopeCustomization

    public void setEnvelopeCustomization(java.util.Map<java.lang.String,java.util.Map<java.lang.String,Perturbation>> envelopeCustomization)

### getEnvelopeWeights

    public java.util.Map<java.lang.String,java.util.Map<EnvelopeFields,Field>> getEnvelopeWeights()

### setEnvelopeWeights

    public void setEnvelopeWeights(java.util.Map<java.lang.String,java.util.Map<EnvelopeFields,Field>> envelopeWeights)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD